
QGIS Application - Bug report #5284

MS SQL features disappear if SQL errors on insert 

2012-04-02 09:59 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee: Tamas Szekeres

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15004

Description

If you are saving a feature and the database fails to insert due to a SQL error the feature will disappear with no error to tell the user what

has happened.

The PostGIS provider throws a error and blocks the save operation until the user has fixed the mistake, letting the user try to save again

after the changes have been made.

Related issues:

Related to QGIS Application - Bug report # 5283: MS SQL provider doesn't save... Closed

History

#1 - 2012-04-02 10:00 PM - Nathan Woodrow

- Parent task deleted (#5283)

- Subject changed from Features disappear if SQL errors  to MS SQL features disappear if SQL errors on insert 

#2 - 2012-04-04 02:10 PM - Tamas Szekeres

Fixed in https://github.com/szekerest/Quantum-GIS/commit/4fea2c7047cc4fbf0ce5a4da37e584de3dedd511

#3 - 2012-04-04 03:12 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in changeset commit:4a9e8ccb862225b73b89297d6467caf9f1bc0789.
